<?php
/**
 * Created by JetBrains PhpStorm.
 * User: Milan
 * Date: 21.8.12
 * Time: 16:49
 */
namespace ApplicationsModule\MailModule;



use \SendGrid;
use \SendGrid\Mail;
use Celebrio\ShadowReader;

define("ROOT_DIR", LIBS_DIR . DIRECTORY_SEPARATOR . "SendGrid" . DIRECTORY_SEPARATOR);

class SendGridSender
{
    private $sendgrid;
    private $server;

    public function __construct($server) {
        $shadowReader = new ShadowReader();
        $this->sendgrid = new SendGrid('celebrio', $shadowReader->getPassword('sendgrid'));
        $this->server = $server;

    }


    public function sendMail($values) {
        $mail = new Mail();
        $mail->addTo($values["to"])->
            setFrom($this->server->getAddress())->
            setSubject($values["subject"])->
            setText($values["contents"]);


        try {
            $result = $this->sendgrid->smtp->send($mail);
            return $result;
        } catch (\Swift_TransportException $e){
            return false;
        }



    }
}
