CREATE TABLE [celebriomailapp]
(
 [id] Int IDENTITY(1,1) NOT NULL,
 [user_id] Int NOT NULL,
 [mailaddress] nvarchar(255) NOT NULL,
 [mailusername] nvarchar(255) NOT NULL,
 [mailpassword] nvarchar(255) NOT NULL,
 [inprotocol] nvarchar(255) NOT NULL,
 [inserver] nvarchar(255) NOT NULL,
 [inport] Int NOT NULL,
 [inssl] Bit NOT NULL,
 [outserver] nvarchar(255) NOT NULL,
 [outport] Int NOT NULL,
 [outssl] Bit NOT NULL,
 [sentfolder] nvarchar(255),
 [draftsfolder] nvarchar(255),
 [trashfolder] nvarchar(255),
 [spamfolder] nvarchar(255),
 [created] Datetime2 DEFAULT CURRENT_TIMESTAMP NOT NULL,
 [provider] nvarchar(255) NOT NULL
);

CREATE INDEX [celebriomailapp_user_index] ON [celebriomailapp] ([user_id]);
ALTER TABLE [celebriomailapp] ADD CONSTRAINT [PK_celebriomailapp] PRIMARY KEY ([id]);


ALTER TABLE [celebriomailapp] ADD CONSTRAINT [celebriomailapp_user] FOREIGN KEY ([user_id]) REFERENCES [users] ([id]) ON UPDATE CASCADE ON DELETE CASCADE;


CREATE TABLE [mail_app_drafts]
(
    [id_draft] Int IDENTITY(1,1) NOT NULL,
    [text] text,
    [subject] nvarchar(255),
    [id_user] Int NOT NULL,
);

ALTER TABLE [mail_app_drafts] ADD CONSTRAINT [PK_mail_app_drafts] PRIMARY KEY ([id_draft]);

CREATE TABLE [mail_app_recipients]
(
    [id_draft] Int NOT NULL,
    [id_person] Int NOT NULL
);

ALTER TABLE [mail_app_recipients] ADD PRIMARY KEY ([id_draft],[id_person]);

ALTER TABLE [mail_app_drafts] ADD CONSTRAINT [drafts_users] FOREIGN KEY ([id_user]) REFERENCES [users] ([id]) ON DELETE CASCADE ON UPDATE CASCADE;

ALTER TABLE [mail_app_recipients] ADD CONSTRAINT [recipients_drafts] FOREIGN KEY ([id_draft]) REFERENCES [mail_app_drafts] ([id_draft]) ON DELETE CASCADE ON UPDATE CASCADE;

ALTER TABLE [mail_app_recipients] ADD CONSTRAINT [recipients_people] FOREIGN KEY ([id_person]) REFERENCES [people] ([id_person]) ON DELETE CASCADE ON UPDATE CASCADE;