
ALTER TABLE [celebriomailapp] ALTER COLUMN [inprotocol] nvarchar(255);
ALTER TABLE [celebriomailapp] ALTER COLUMN [inserver] nvarchar(255);
ALTER TABLE [celebriomailapp] ALTER COLUMN [inport] Int;
ALTER TABLE [celebriomailapp] ALTER COLUMN [inssl] Bit;
ALTER TABLE [celebriomailapp] ALTER COLUMN [outserver] nvarchar(255);
ALTER TABLE [celebriomailapp] ALTER COLUMN [outport] Int;
ALTER TABLE [celebriomailapp] ALTER COLUMN [outssl] Bit;



CREATE TABLE [mailbox]
(
  [id_mail] Int IDENTITY(1,1) NOT NULL,
  [subject] nvarchar(255) NOT NULL,
  [time] datetime,
  [unread] Bit NOT NULL,
  [status] nvarchar(255) check ([status] in ('OUTBOX', 'INBOX', 'DRAFT', 'TRASH')),
  [message_uid] Int,
  [server] Int NOT NULL
);


ALTER TABLE [mailbox] ADD CONSTRAINT [PK_mailbox] PRIMARY KEY ([id_mail]);

CREATE TABLE [addresses]
(
  [id_address] Int IDENTITY(1,1) NOT NULL,
  [address] nvarchar(255) NOT NULL,
  [name] nvarchar(255)
);

ALTER TABLE [addresses] ADD CONSTRAINT [PK_addresses] PRIMARY KEY ([id_address]);

CREATE TABLE [addresses_mailbox]
(
  [id_mail] Int NOT NULL,
  [id_address] Int NOT NULL,
  [type] nvarchar(255) check ([type] in ('from', 'to', 'reply', 'cc', 'bcc'))
);
ALTER TABLE [addresses_mailbox] ADD CONSTRAINT [PK_addrmail] PRIMARY KEY ([id_mail],[id_address]);

ALTER TABLE [addresses_mailbox] ADD CONSTRAINT [ad_m mailbox] FOREIGN KEY (id_mail) REFERENCES mailbox (id_mail) ON DELETE CASCADE ON UPDATE CASCADE;
ALTER TABLE [addresses_mailbox] ADD CONSTRAINT [ad_m addresses] FOREIGN KEY (id_address) REFERENCES addresses (id_address) ON DELETE CASCADE ON UPDATE CASCADE;
ALTER TABLE [mailbox] ADD CONSTRAINT [mailbox_celebmailapp] FOREIGN KEY (server) REFERENCES celebriomailapp (id) ON DELETE CASCADE ON UPDATE CASCADE;