CREATE TABLE `celebriomailapp`
(
  `id` Int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `user_id` Int(10) UNSIGNED NOT NULL,
  `mailaddress` Varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `mailusername` Varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `mailpassword` Varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `inprotocol` Varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `inserver` Varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `inport` Smallint(5)  UNSIGNED NOT NULL,
  `inssl` Tinyint(1) NOT NULL,
  `outserver` Varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `outport` Smallint(5)  UNSIGNED NOT NULL,
  `outssl` Tinyint(1) NOT NULL,
  `sentfolder` Varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci,
  `draftsfolder` Varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci,
  `trashfolder` Varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci,
  `spamfolder` Varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci,
  `created` Timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `provider` Varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,

  PRIMARY KEY (`id`),
  INDEX `celebriomailapp_user_index` USING BTREE(user_id),
  CONSTRAINT `celebriomailapp_user` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE

)
  ENGINE = InnoDB
  DEFAULT CHARACTER SET utf8
  COLLATE utf8_general_ci
  ROW_FORMAT = Compact
;

CREATE TABLE `mail_app_drafts`
(
    `id_draft` Int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
    `text` TEXT,
    `subject` Varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci,
    `id_user` Int(10) UNSIGNED NOT NULL,

    PRIMARY KEY (`id_draft`)
)
    ENGINE = InnoDB
    DEFAULT CHARACTER SET utf8
    COLLATE utf8_general_ci
    ROW_FORMAT = Compact
;

CREATE TABLE `mail_app_recipients`
(
    `id_draft` Int(10) UNSIGNED NOT NULL,
    `id_person` Int(10) UNSIGNED NOT NULL
)
    ENGINE = InnoDB
    DEFAULT CHARACTER SET utf8
    COLLATE utf8_general_ci
    ROW_FORMAT = Compact
;

ALTER TABLE `mail_app_recipients` ADD PRIMARY KEY (`id_draft`,`id_person`);

ALTER TABLE `mail_app_drafts` ADD CONSTRAINT `drafts_users` FOREIGN KEY (`id_user`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

ALTER TABLE `mail_app_recipients` ADD CONSTRAINT `recipients_drafts` FOREIGN KEY (`id_draft`) REFERENCES `mail_app_drafts` (`id_draft`) ON DELETE CASCADE ON UPDATE CASCADE;

ALTER TABLE `mail_app_recipients` ADD CONSTRAINT `recipients_people` FOREIGN KEY (`id_person`) REFERENCES `people` (`id_person`) ON DELETE CASCADE ON UPDATE CASCADE;