
ALTER TABLE `celebriomailapp` CHANGE `inprotocol` `inprotocol` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE `celebriomailapp` CHANGE `inserver` `inserver` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE `celebriomailapp` CHANGE `inport` `inport` smallint(5) unsigned;
ALTER TABLE `celebriomailapp` CHANGE `inssl` `inssl` tinyint(1);
ALTER TABLE `celebriomailapp` CHANGE `outserver` `outserver` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci;
ALTER TABLE `celebriomailapp` CHANGE `outport` `outport` smallint(5) unsigned;
ALTER TABLE `celebriomailapp` CHANGE `outssl` `outssl` tinyint(1);



CREATE TABLE `mailbox`
(
  `id_mail` Int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `subject` Varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `time` Timestamp,
  `unread` TinyInt(1) NOT NULL,
  `status` ENUM('OUTBOX', 'INBOX', 'DRAFT', 'TRASH') CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `message_uid` Int(10) UNSIGNED,
  `server` Int(10) UNSIGNED NOT NULL,
  
  PRIMARY KEY (id_mail)
)
  ENGINE = InnoDB
  DEFAULT CHARACTER SET utf8
  COLLATE utf8_general_ci
  ROW_FORMAT = Compact
;

CREATE TABLE `addresses`
(
  `id_address` Int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `address` Varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `name` Varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci,
  
  PRIMARY KEY (id_address)
)
  ENGINE = InnoDB
  DEFAULT CHARACTER SET utf8
  COLLATE utf8_general_ci
  ROW_FORMAT = Compact
;

CREATE TABLE `addresses_mailbox`
(
  `id_mail` Int(10) UNSIGNED NOT NULL,
  `id_address` Int(10) UNSIGNED NOT NULL,
  `type` ENUM('from', 'to', 'reply', 'cc', 'bcc') CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL
)
  ENGINE = InnoDB
  DEFAULT CHARACTER SET utf8
  COLLATE utf8_general_ci
  ROW_FORMAT = Compact
;


ALTER TABLE `addresses_mailbox` ADD CONSTRAINT `ad_m mailbox` FOREIGN KEY (id_mail) REFERENCES mailbox (id_mail) ON DELETE CASCADE ON UPDATE CASCADE;
ALTER TABLE `addresses_mailbox` ADD CONSTRAINT `ad_m addresses` FOREIGN KEY (id_address) REFERENCES addresses (id_address) ON DELETE CASCADE ON UPDATE CASCADE;
ALTER TABLE `mailbox` ADD CONSTRAINT `mailbox_celebmailapp` FOREIGN KEY (server) REFERENCES celebriomailapp (id) ON DELETE CASCADE ON UPDATE CASCADE;