CREATE TABLE "celebriomailapp"
(
 "id" Serial PRIMARY KEY,
 "user_id" Integer NOT NULL,
 "mailaddress" Character varying(255) NOT NULL,
 "mailusername" Character varying(255) NOT NULL,
 "mailpassword" Character varying(255) NOT NULL,
 "inprotocol" Character varying(255) NOT NULL,
 "inserver" Character varying(255) NOT NULL,
 "inport" integer NOT NULL,
 "inssl" boolean NOT NULL,
 "outserver" Character varying(255) NOT NULL,
 "outport" integer NOT NULL,
 "outssl" boolean NOT NULL,
 "sentfolder" Character varying(255),
 "draftsfolder" Character varying(255),
 "trashfolder" Character varying(255),
 "spamfolder" Character varying(255),
 "created" Timestamp(6) DEFAULT CURRENT_TIMESTAMP NOT NULL,
 "provider" Character varying(255) NOT NULL
) WITH (OIDS=FALSE);

CREATE INDEX "celebriomailapp_user_index" ON "celebriomailapp" ("user_id");
ALTER TABLE "celebriomailapp" ADD CONSTRAINT "celebriomailapp_user" FOREIGN KEY ("user_id") REFERENCES "users" ("id") ON DELETE CASCADE ON UPDATE CASCADE;

CREATE TABLE "mail_app_drafts"
(
    "id_draft" Serial PRIMARY KEY,
    "text" text,
    "subject" Character varying(255),
    "id_user" Integer NOT NULL
) WITH (OIDS=FALSE);

CREATE TABLE "mail_app_recipients"
(
    "id_draft" Integer NOT NULL,
    "id_person" Integer NOT NULL
) WITH (OIDS=FALSE);

ALTER TABLE "mail_app_recipients" ADD PRIMARY KEY ("id_draft","id_person");
ALTER TABLE "mail_app_drafts" ADD CONSTRAINT "drafts_users" FOREIGN KEY ("id_user") REFERENCES "users" ("id") ON DELETE CASCADE ON UPDATE CASCADE;
ALTER TABLE "mail_app_recipients" ADD CONSTRAINT "recipients_drafts" FOREIGN KEY ("id_draft") REFERENCES "mail_app_drafts" ("id_draft") ON DELETE CASCADE ON UPDATE CASCADE;
ALTER TABLE "mail_app_recipients" ADD CONSTRAINT "recipients_people" FOREIGN KEY ("id_person") REFERENCES "people" ("id_person") ON DELETE CASCADE ON UPDATE CASCADE;