ALTER TABLE "celebriomailapp" ALTER COLUMN "inprotocol" DROP NOT NULL;
ALTER TABLE "celebriomailapp" ALTER COLUMN "inserver" DROP NOT NULL;
ALTER TABLE "celebriomailapp" ALTER COLUMN "inport" DROP NOT NULL;
ALTER TABLE "celebriomailapp" ALTER COLUMN "inssl" DROP NOT NULL;
ALTER TABLE "celebriomailapp" ALTER COLUMN "outserver" DROP NOT NULL;
ALTER TABLE "celebriomailapp" ALTER COLUMN "outport" DROP NOT NULL;
ALTER TABLE "celebriomailapp" ALTER COLUMN "outssl" DROP NOT NULL;


CREATE TYPE stat AS ENUM ('OUTBOX', 'INBOX', 'DRAFT', 'TRASH');

CREATE TABLE "mailbox"
(
  "id_mail" Serial PRIMARY KEY,
  "subject" Character varying(255) NOT NULL,
  "time" Timestamp,
  "unread" boolean NOT NULL,
  "status" stat,
  "message_uid" integer,
  "server" integer NOT NULL
) WITH (OIDS=FALSE);

CREATE TABLE "addresses"
(
  "id_address" Serial PRIMARY KEY,
  "address"  Character varying(255) NOT NULL,
  "name" Character varying(255)
) WITH (OIDS=FALSE);

CREATE TYPE mail_relation AS ENUM ('from', 'to', 'reply', 'cc', 'bcc');

CREATE TABLE "addresses_mailbox"
(
  "id_mail" integer NOT NULL,
  "id_address" integer NOT NULL,
  "type" mail_relation
) WITH (OIDS=FALSE);


ALTER TABLE "addresses_mailbox" ADD CONSTRAINT "ad_m mailbox" FOREIGN KEY (id_mail) REFERENCES mailbox (id_mail) ON DELETE CASCADE ON UPDATE CASCADE;
ALTER TABLE "addresses_mailbox" ADD CONSTRAINT "ad_m addresses" FOREIGN KEY (id_address) REFERENCES addresses (id_address) ON DELETE CASCADE ON UPDATE CASCADE;
ALTER TABLE "mailbox" ADD CONSTRAINT "mailbox_celebmailapp" FOREIGN KEY (server) REFERENCES celebriomailapp (id) ON DELETE CASCADE ON UPDATE CASCADE;